.check-map {
    background-color: #8d7249;
    color: #fff;
    border: 4px solid #8d7249;
    font-size: 18px;
    padding: 15px 30px;
    transition: all 0.3s ease-in-out;
}

.check-map:hover {
    background-color: transparent;
}

.map-container {
    position: fixed;
    inset: 0;
    background-color: rgba(0,0,0,0.2);
    backdrop-filter: blur(2px);
    z-index: 556;

    display: flex;
    align-items: center;
    justify-content: center;

    opacity: 0;
    visibility: hidden;

    transition: all 0.3s ease-in-out;
}

.map-container.is-open {
    opacity: 1;
    visibility: visible;
}

.map-overlay {
    position: relative;
    width: 90%;
    height: 90%;
    background-color: #000;
}

.map-close {
    position: absolute;
    top: 0;
    left: 0;
    width: 40px;
    height: 40px;
    background-color: #8d7249;
    color: #000;
    z-index: 10;

    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    outline: none;

    fill: #000;
}

.map-close:hover {
    fill: #fff;
    background-color: #000;
}

@media screen and (max-width: 768px) {
    .check-map {
        font-size: 16px;
        border: 3px solid #8d7249;
        padding: 10px 20px;
    }
}

.map-loading {
  position: absolute;
  inset: 0;
  background: rgba(0,0,0,0.9);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.map-loading .text {
    font-size: 20px;
    color: #8d7249;
}

.map-loading.hidden {
  display: none;
}

.spinner {
  width: 40px;
  height: 40px;
  border: 4px solid transparent;
  border-top: 4px solid #8d7249;
  border-radius: 50%;
  animation: spin 1s linear infinite;
  margin-bottom: 10px;
}

@keyframes spin {
  to { transform: rotate(360deg); }
}
